/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) 2010  Rico Rommel

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#include "inputdialog.h"

InputDialog::InputDialog(QString text, QWidget* parent): KDialog(parent)
{
  QWidget *widget = new QWidget( this );
  ui.setupUi(widget);
  setMainWidget( widget );
  enableButtonOk(false);
  ui.Message->setText(text);
  
  connect(ui.Input,SIGNAL(textChanged(QString)),this,SLOT(inputChanged(QString)));
}

InputDialog::~InputDialog()
{

}

void InputDialog::inputChanged(QString text)
{
  if (text.isEmpty()) enableButtonOk(false);
  else enableButtonOk(true);
}

QString InputDialog::input()
{
  return ui.Input->text();
}
